scala.collection.jcl.SortedMap
class Range

[source: `scala/collection/jcl/SortedMap.scala`]

`protected` `class` Range(from : Option[K], until : Option[K])
  `extends` Filter `with` Projection[K, E]

Direct Known Subclasses:
  SortedMapWrapper.Range

Method Summary
`def` | compare (k0 : K, k1 : K) : Int Comparison function that orders keys.
`override def` | contains (key : K) : Boolean Is the given key mapped to a value by this map?
`override def` | filterKeys (p : (K) => Boolean) : Projection[K, E] non-strict filter based on keys only
`override def` | get (key : K) : Option[E] Check if this map maps `key` to a value and return the value if it exists.
`override def` | put (key : K, elem : E) : Option[E]
`override def` | rangeImpl (from : Option[K], until : Option[K]) : SortedMap[K, E] Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Methods inherited from Projection
projection

Methods inherited from SortedMap
firstKey, lastKey, keySet, lense, Range

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Sorted
hasAll

Methods inherited from Filter
elements, removeKey, size

Methods inherited from Projection
map

Methods inherited from Map
clear, isEmpty, keys, valueSet, putAll, has, update, +, +=, -, remove, -=

Methods inherited from Map
+=, ++=, ++=, +, ++, ++, -=, --=, --=, -, --, --, getOrElseUpdate, transform, retain, <<, clone, +=, incl, excl

Methods inherited from Map
getOrElse, apply, isDefinedAt, values, equals, hashCode, toString, default, mapElements

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from Projection
filter

Methods inherited from Projection
force, flatMap, takeWhile, append

Methods inherited from MutableIterable
removeAll, --, -, retain, retainAll, size0

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`protected class` | Filter (p : (K) => Boolean)`extends` Filter

Method Details

`` `def` compare(k0 : K, k1 : K) : Int

  Comparison function that orders keys.

`override` `def` contains(key : K) : Boolean

  Is the given key mapped to a value by this map?

Parameters
  `key -` the key
Returns
  `true` iff there is a mapping for key in this map

Overrides
  Filter.contains

`override` `def` get(key : K) : Option[E]

  Check if this map maps `key` to a value and return the value if it exists.

Parameters
  `key -` the key of the mapping of interest
Returns
  the value of the mapping, if it exists

Overrides
  Filter.get

`override` `def` put(key : K, elem : E) : Option[E]

Overrides
  Filter.put

`override` `def` rangeImpl(from : Option[K], until : Option[K]) : SortedMap[K, E]

  Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Parameters
  `from -` The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.
  `until -` The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.

`override` `def` filterKeys(p : (K) => Boolean) : Projection[K, E]

  non-strict filter based on keys only

Overrides
  Filter.filterKeys